@import url('https://fonts.googleapis.com/css?family=Heebo:300&display=swap');
* {
    box-sizing: border-box;
}

:root {
    --primary-color: #000;
    --secondary-color: #fff;
}

html {
    transition: all 0.5s ease-in;
}

html.dark {
    --primary-color: #fff;
    --secondary-color: #333;
}

html.dark {
    background-color: #111;
    color: var(--primary-color);
}

body {
    font-family: 'Heebo', sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    margin: 0;
}

.toggle {
    cursor: pointer;
    background-color: var(--primary-color);
    color: var(--secondary-color);
    border: 0;
    border-radius: 4px;
    padding: 1em 0.7em;
    position: absolute;
    top: 100px;
}

.toggle:focus {
    outline: none;
}

.clock-container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

.clock {
    position: relative;
    width: 12.5em;
    height: 12.5em;
}

.needle {
    background-color: var(--primary-color);
    position: absolute;
    top: 50%;
    left: 50%;
    height: 4.06em;
    width: 0.18em;
    transform-origin: bottom center;
    transition: all 0.5s ease-in;
}

.needle.hour {
    transform: translate(-50%, -100%) rotate(0deg);
}

.needle.minute {
    transform: translate(-50%, -100%) rotate(0deg);
    height: 6.25em;
}

.needle.second {
    transform: translate(-50%, -100%) rotate(0deg);
    height: 6.25em;
    background-color: #e74c3c;
}

.center-point {
    background-color: #e74c3c;
    width: 0.6em;
    height: 0.6em;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 50%;
}

.center-point::after {
    content: '';
    background-color: var(--primary-color);
    width: 0.3em;
    height: 0.3em;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 50%;
}

.time {
    font-size: 3.75em;
}

.date {
    color: #aaa;
    font-size: 14px;
    letter-spacing: 0.01em;
    text-transform: uppercase;
}

.date .circle {
    background-color: var(--primary-color);
    color: var(--secondary-color);
    border-radius: 50%;
    height: 1.1em;
    width: 1.1em;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    line-height: 1.1em;
    transition: all 0.5s ease-in;
    font-size: 0.75em;
}